"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Logger = void 0;
var mail_1 = __importDefault(require("@sendgrid/mail"));
var Logger = /** @class */ (function () {
    function Logger(config) {
        console.info("Initialize logger with: ");
        console.info(config);
        this.to = config.to;
        this.from = config.from;
        this.subject = config.subject;
        this.text = config.text;
        this.apiKey = config.apiKey;
        this.setApiKey();
    }
    Logger.prototype.log = function (err) {
        console.info("Using the logger log function");
        if (err) {
            console.error(err);
            this.text = err;
        }
        mail_1.default
            .send({
            to: this.to,
            from: this.from,
            subject: this.subject,
            text: this.text,
            html: this.text
        })
            .then(function () { console.info('sending email...'); }, function (error) {
            console.error("Error sending email: ");
            console.error(error);
            if (error.response) {
                console.error("The error response returned: ");
                console.error(error.response.body);
            }
        });
    };
    Logger.prototype.setApiKey = function () {
        if (this.apiKey) {
            mail_1.default.setApiKey(this.apiKey);
            return true;
        }
        else {
            console.error("SendGrid API key must be set");
            return false;
        }
    };
    return Logger;
}());
exports.Logger = Logger;
